Query Information of Multiple Scheduled Conferences
Query the information of multiple scheduled conferences simultaneously.
Request URL
GET {base_url}/{api_path}/conference/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | Integer | The IDs of the conferences. Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <Conference_Info> | The detailed information of the conference. |
Conference_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The ID of the conference. |
| name | String | Conference name. |
| number | String | Conference number. |
| has_partic_password | Integer | Whether participants need to enter a password to join the conference.
|
| has_moderator_password | Integer | Whether a password is required to join the conference as a moderator.
|
| sound_prompt | String | The prompt to announce the participants when someone joins or exits from the conference.
|
| allow_partic_invite | Integer | Whether extension participants can invite other members to join the conference.
|
| enb_wait_moderator | Integer | Whether participants should wait for the moderator to start the conference.
|
| moderator_list | Array <Moderator_List> | The list of the moderators for the conference. |
| enb_custom_language | Integer | Whether a custom prompt language is set for the conference call.
|
| prompt_language | String | The custom prompt language.
|
Moderator_List
| Parameter | Type | Description |
|---|---|---|
| id | String | The ID of the conference moderator. |
| name | String | The name of the conference moderator. |
| type | String | The type of the conference moderator.
|
Examples
Request example
GET /openapi/v1.0/conference/query?access_token=ZKTlcLAzxSI1NcBupFtJRcLpFhkBooHI&ids=1,2,3 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 1,
"name": "Sales Weekly Meeting",
"number": "6500",
"has_partic_password": 1,
"has_moderator_password": 1,
"sound_prompt": "ext_number",
"allow_partic_invite": 1,
"enb_wait_moderator": 1,
"moderator_list": [
{
"id": "50",
"name": "Emily Parker",
"type": "extension"
}
],
"enb_custom_language": 1,
"prompt_language": "sound-en"
},
{
"id": 2,
"name": "Support Case Review",
"number": "6501",
"has_partic_password": 0,
"has_moderator_password": 0,
"sound_prompt": "default",
"allow_partic_invite": 1,
"enb_wait_moderator": 0,
"moderator_list": [
{
"id": "47",
"name": "Michael Harris",
"type": "extension"
}
],
"enb_custom_language": 0,
"prompt_language": ""
},
{
"id": 3,
"name": "Marketing Planning Room",
"number": "6502",
"has_partic_password": 0,
"has_moderator_password": 0,
"sound_prompt": "default",
"allow_partic_invite": 1,
"enb_wait_moderator": 0,
"moderator_list": [
{
"id": "55",
"name": "Kevin Thompson",
"type": "extension"
},
{
"id": "202",
"name": "Krisin Hale",
"type": "extension"
}
],
"enb_custom_language": 0,
"prompt_language": ""
}
]
}